#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.1.1.0
visibility:           public
id:                   lsp-1.1.1.0-ATBeUf1xJH9LuSSc3zZLXO
key:                  lsp-1.1.1.0-ATBeUf1xJH9LuSSc3zZLXO
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/alanz/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell IDE
    Engine, at https://github.com/haskell/haskell-ide-engine

category:             Development
abi:                  eb3935e9a3b34eaa37a49d9912984faf
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.1.0.0-3IgpQRfQa8NC4KfS4v07YB:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.1.0.0-3IgpQRfQa8NC4KfS4v07YB:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.1.0.0-3IgpQRfQa8NC4KfS4v07YB:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.1.0.0-3IgpQRfQa8NC4KfS4v07YB:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-8.10.4/site-local/lsp-1.1.1.0
library-dirs:         /usr/lib/ghc-8.10.4/site-local/lsp-1.1.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/lsp-1.1.1.0
hs-libraries:         HSlsp-1.1.1.0-ATBeUf1xJH9LuSSc3zZLXO
depends:
    aeson-1.5.6.0-Gx77yI4aGhT9SDRJjDxR53
    async-2.2.3-6cp1PlFsKQm7WcAjMY1Y60
    attoparsec-0.13.2.5-AaEkuqZ31Ae8OJbD4JckmF base-4.14.1.0
    bytestring-0.10.12.0 containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV
    dependent-map-0.4.0.0-1DWEbJdZrAbUiWeXxdB0Z directory-1.3.6.0
    filepath-1.4.2.1 hashable-1.3.1.0-AFm7ygY4MxA76FjadItoSM
    hslogger-1.3.1.0-8ntgVvaK6rQ9vmDYMONE7v
    lens-4.19.2-CNVQVx1PKTiBoGhbS5k7vB
    lsp-types-1.1.0.0-3IgpQRfQa8NC4KfS4v07YB mtl-2.2.2
    network-uri-2.6.4.1-3JXwSSA5DIGKZm1PyzUfqo
    random-1.2.0-Sats90bvmFKiXJtbW3xeo
    scientific-0.3.6.2-GEO9oP5SB5GP3PEwvdLEG
    sorted-list-0.2.1.0-KBS8qjiSZwV37BCYdaPAMk stm-2.5.0.0 text-1.2.4.1
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-Dm1EWWGKu5F1HgehuVxZbu
    uuid-1.3.14-9oAs1BT2gvR2x8ugxqliWh

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

